aboutsummaryrefslogtreecommitdiff
path: root/build-without-cgo.bash
diff options
context:
space:
mode:
Diffstat (limited to 'build-without-cgo.bash')
-rwxr-xr-xbuild-without-cgo.bash10
1 files changed, 10 insertions, 0 deletions
diff --git a/build-without-cgo.bash b/build-without-cgo.bash
new file mode 100755
index 0000000..753cc31
--- /dev/null
+++ b/build-without-cgo.bash
@@ -0,0 +1,10 @@
+#!/bin/bash -eu
+
+cd "$(dirname "$0")"
+
+CGO_ENABLED=0 source ./build.bash -tags without_openssl,without_aegis
+
+if ldd gocryptfs 2> /dev/null ; then
+ echo "build-without-cgo.bash: error: compiled binary is not static"
+ exit 1
+fi